using UnityEngine;
using System;
using System.Collections.Generic;

namespace mgaia.Utils
{
    /// <summary>
    /// Extensões de câmera
    /// </summary>
    /// <owner>Victor</owner>
    public static class CameraExtensions
    {
        /// <summary>
        /// Retorna o tamanho de desenho da câmera ortográfica
        /// </summary>
        public static Vector3 GetOrtographicDrawingSize(this Camera camera)
        {
            if (camera != null)
            {
                Assert.AssertTrue(camera.isOrthoGraphic, "Não é possível utilizar esse método para calcular o tamanho de câmeras não ortográficas!");

                float cameraHeight = camera.orthographicSize * 2;
                float cameraWidth = cameraHeight * camera.aspect;

                return new Vector3(cameraWidth, cameraHeight);
            }
            else
            {
                return default(Vector3);
            }
        }
    }
}